cURL
curl --request GET \ --url https://api.kit.com/v4/account \ --header 'X-Kit-Api-Key: <api-key>'
{ "user": { "email": "test@kit.dev", "id": 27 }, "account": { "id": 27, "name": "Kit Greetings", "plan_type": "creator", "primary_email_address": "test@kit.dev", "created_at": "2023-02-17T11:43:55Z", "timezone": { "name": "America/New_York", "friendly_name": "Eastern Time (US & Canada)", "utc_offset": "-05:00" }, "sending_addresses": [ { "email_address": "joe27@ck.lol", "from_name": "Joe", "status": "pending", "is_default": true, "is_verified": false, "is_dmarc_configured": false } ] } }
Documentation IndexFetch the complete documentation index at: https://developers.kit.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.kit.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate API requests via an API Key
Returns current account and user info
Show child attributes
Was this page helpful?